Author Topic: AutoCAD 2015 & .Net Framework 4.6.1  (Read 730 times)

0 Members and 1 Guest are viewing this topic.

Andrey Bushman

  • Swamp Rat
  • Posts: 860
AutoCAD 2015 & .Net Framework 4.6.1
« on: August 24, 2016, 07:43:22 am »
Windows 8.1 x64
.Net Framework 4.6.1

I can't install AutoCAD 2015 x64 Enu... Installer writes that AutoCAD can't be installed because the .Net Framework 4.5 is not installed on my computer. But:

Quote from: Microsoft
The Microsoft .NET Framework 4.6.1 is a highly compatible, in-place update to the Microsoft .NET Framework 4, Microsoft .NET Framework 4.5, Microsoft .NET Framework 4.5.1, Microsoft .NET Framework 4.5.2 and Microsoft .NET Framework 4.6. The offline package can be used in situations where the web installer cannot be used due to lack of internet connectivity.

This quote is from here.

So, AutoCAD 2015 installer works incorrectly. I thought that I can uninstall .Net 4.6.1 and install .net 4.5 (and install 4.6.1 after AutoCAD installing), but I don't see .Net Framework 4.6.1 in the installed programs or Windows components (therefore I can't uninstall .Net 4.6.1).

How can I solve this problem?

MickD

  • Gator
  • Posts: 2882
  • I don't need a job, I need Money!!
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #1 on: August 24, 2016, 07:50:26 am »
Why can't you just install .net 4.5?
You can have (and probably need) multiple versions as some app's that you have installed may still depend on these. I'd install 4.5 then try again, it will find it :)
"A language that doesn’t have everything is actually easier to program in than some that do."

        — Dennis M. Ritchie

Rob...

  • King Gator
  • Posts: 3585
  • Take a little time to stop and smell the roses.
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #2 on: August 24, 2016, 07:51:50 am »
Why can't you just install .net 4.5?
You can have (and probably need) multiple versions as some app's that you have installed may still depend on these. I'd install 4.5 then try again, it will find it :)

I agree.
Senior Mechanical Designer/Model Manager
Building Systems

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #3 on: August 24, 2016, 08:08:45 am »
Why can't you just install .net 4.5?
I tried to do it before I created this topic. It is impossible, because .Net 4.5 installer writes that newer .net version already is installed.

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #4 on: August 24, 2016, 08:13:07 am »
Quote from: MickD
You can have (and probably need) multiple versions as some app's that you have installed may still depend on these. I'd install 4.5 then try again, it will find it :)
No. Please, read Microsoft quote in my first message. .Net Framework 4.0-4.6.1 are not individual versions of .Net Framework. It is the same version. They are updates of .Net 4.0. All these versions even have the same CLR version: 4.0.30319.42000.

Master_Shake

  • Swamp Rat
  • Posts: 1058
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #5 on: August 24, 2016, 08:26:24 am »
How are you installing AutoCAD? I remember seeing .NET installs during the installation of AutoCAD.

Rob...

  • King Gator
  • Posts: 3585
  • Take a little time to stop and smell the roses.
Senior Mechanical Designer/Model Manager
Building Systems

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #7 on: August 24, 2016, 08:30:15 am »
How are you installing AutoCAD? I remember seeing .NET installs during the installation of AutoCAD.
I do the same like for any other AutoCAD version (2009-2017): I mount ISO-image and launch its setup.exe file.

mjfarrell

  • Seagull
  • Posts: 13920
  • Every Student their own Lesson
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #8 on: August 24, 2016, 08:33:24 am »
I too recently had to uninstall all NEWER versions of .dot net to get an application to install properly. (Not autodesk product)

However once the old .net was removed, and the older version was installed, installation went fine.

Afterwards, I then upgraded newer version of .net without issues with any already installed applications.


So...while technically 'the same', the version matters.
Be your Best


Michael Farrell
http://primeservicesglobal.com/

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #9 on: August 24, 2016, 08:36:45 am »
Have you come across this yet?

https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/How-to-remove-and-reinstall-the-Microsoft-NET-Framework.html

I wrote in my first message:
Quote
I thought that I can uninstall .Net 4.6.1 and install .net 4.5 (and install 4.6.1 after AutoCAD installing), but I don't see .Net Framework 4.6.1 in the installed programs or Windows components (therefore I can't uninstall .Net 4.6.1).

So, when I tried to do this:

Quote from: Autodesk
2. Uninstall everything that starts with "Microsoft .NET," doing newest versions first.
then I see nothing items.

Rob...

  • King Gator
  • Posts: 3585
  • Take a little time to stop and smell the roses.
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #10 on: August 24, 2016, 08:43:57 am »
Since it is not there to uninstall, did you try installing it?
Senior Mechanical Designer/Model Manager
Building Systems

rkmcswain

  • Swamp Rat
  • Posts: 794
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #11 on: August 24, 2016, 08:46:16 am »
Quote from: Andrey Bushman
Windows 8.1 x64
.Net Framework 4.6.1

I can't install AutoCAD 2015 x64 Enu... Installer writes that AutoCAD can't be installed because the .Net Framework 4.5 is not installed on my computer.

Have you seen this?

https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/Error-NET-4-5-is-not-installed-when-attempting-to-install-Autodesk-2016-products-on-Windows-10.html

I was able to do this to install service packs that originally complained of the same error.

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #12 on: August 24, 2016, 08:46:54 am »
Since it is not there to uninstall, did you try installing it?
Did you try to read my Reply #3?

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #13 on: August 24, 2016, 08:49:43 am »
Also I tried this advice by Autodesk.
I saw only additional services of .Net Framework 4.5 (look the attached screen).
This advice didn't help me. I get the same problem.

So, both Autodesk advices  don't work: this and this.

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Re: AutoCAD 2015 & .Net Framework 4.6.1
« Reply #14 on: August 24, 2016, 08:51:34 am »
Quote from: Andrey Bushman
Windows 8.1 x64
.Net Framework 4.6.1

I can't install AutoCAD 2015 x64 Enu... Installer writes that AutoCAD can't be installed because the .Net Framework 4.5 is not installed on my computer.

Have you seen this?

https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/Error-NET-4-5-is-not-installed-when-attempting-to-install-Autodesk-2016-products-on-Windows-10.html

I was able to do this to install service packs that originally complained of the same error.
No, I didn't see it. Thank you, I will read it now.